This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 49118 - Template fails at first run
Summary: Template fails at first run
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: General (show other bugs)
Version: 4.2.0 (C8)
Hardware: PC Windows
: --- normal
Target Milestone: 4.2.2 (C8SR2)
Assignee: Jose Gallardo
URL:
Depends on:
Blocks:
 
Reported: 2016-12-06 17:38 UTC by Cody Beyer (MSFT)
Modified: 2016-12-20 05:35 UTC (History)
10 users (show)

See Also:
Tags: ExPT
Is this bug a regression?: ---
Last known good build:


Attachments

Description Cody Beyer (MSFT) 2016-12-06 17:38:11 UTC
# Description

When using the latest Stable of Xamarin Visual Studio, deploying to Android will fail with:

>System.MissingMethodException: Method 'Android.Support.V4.Widget.DrawerLayout.AddDrawerListener' not found.

# Workaround

1. Upgrade Xamarin.Android.Support.v7.AppCompat to 23.3.0 
2. Add Xamarin.Android.Support.v7.RecyclerView 23.3.0
3. Clean and Rebuild

# Steps to Reproduce

1. Open Visual Studio
2. New Project > Cross=platform > Blank App (Xamarin.Forms Portable)
3. Build and Deploy Android

# Expected Results

App builds and deploys

# Actual Results

Error as stated above occurs

# Versions

Microsoft Visual Studio Enterprise 2015
Version 14.0.25431.01 Update 3
Microsoft .NET Framework
Version 4.6.01586

Installed Version: Enterprise

Architecture and Modeling Tools   00322-80000-00000-AA381
Microsoft Architecture and Modeling Tools
    
UML® and Unified Modeling Language™ are trademarks or registered trademarks of the Object Management Group, Inc. in the United States and other countries.

Microsoft Visual Studio Tools for Applications 2015   00322-80000-00000-AA381
Microsoft Visual Studio Tools for Applications 2015

Visual Basic 2015   00322-80000-00000-AA381
Microsoft Visual Basic 2015

Visual C# 2015   00322-80000-00000-AA381
Microsoft Visual C# 2015

Visual C++ 2015   00322-80000-00000-AA381
Microsoft Visual C++ 2015

Visual F# 2015   00322-80000-00000-AA381
Microsoft Visual F# 2015

Application Insights Tools for Visual Studio Package   7.14.01128.2
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2015.1 (Beta8)   14.1.11107.0
ASP.NET and Web Tools 2015.1 (Beta8)

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

Command Bus, Event Stream and Async Manager   Merq
Provides ICommandBus, IEventStream and IAsyncManager MEF services for loosely coupled Visual Studio extension components communication and integration.

Common Azure Tools   1.8
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

NuGet Package Manager   3.4.4
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   14.0.60519.0
Microsoft SQL Server Data Tools

TypeScript   1.8.36.0
TypeScript tools for Visual Studio

Visual Studio Tools for Universal Windows Apps   14.0.25527.01
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Xamarin   4.2.1.64 (872717c)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin Inspector Support   1.0.0.0 (1f3067d)
Adds support for inspecting Xamarin and WPF apps.

Xamarin.Android   7.0.2.37 (ce955cc)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.2.1.5 (44931ae)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 1 Cody Beyer (MSFT) 2016-12-06 18:54:10 UTC
This only appears to occur using the non-xaml PCL template
Comment 2 adrianknight89 2016-12-07 16:47:57 UTC
How does this behave in 2.3.3.175?
Comment 5 Jose Gallardo 2016-12-12 18:40:21 UTC
Fixed for Cycle8 on commit:
https://github.com/xamarin/xamarinvs/commit/696f5107f32481725957f440e84528c586dba060
XVS 4.2.1.72


XVS 4.3.x uses the new templates which are already fixed.

Thanks
Comment 6 Parmendra Kumar 2016-12-13 14:54:13 UTC
I have checked this issue with C8 Xcode 8.2 latest build: Xamarin.VisualStudio_4.2.1.66 and C8 Trunk lane latest build: Xamarin.VisualStudio_4.2.1.72  and this issue has been fixed. Forms template run successfully without Forms nuget update.

Screencast: https://www.screencast.com/t/B9GDbSOu3wGj

Hence marked this issue as Verified Fixed.


Thanks.!
Comment 7 Shruti 2016-12-20 05:35:00 UTC
It is working with XVS 4.2.2.3 (312475f)

Environment Info: https://gist.github.com/shrutis360/0498b839135b77f721a401886eeae588

Note You need to log in before you can comment on or make changes to this bug.